classification
Title: Docs for StringIO should link to io.BytesIO
Type: Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: ZackerySpytz, docs@python, guettli
Priority: normal Keywords:

Created on 2016-04-21 13:31 by guettli, last changed 2020-05-10 00:42 by zach.ware. This issue is now closed.

Messages (2)
msg263917 - (view) Author: Thomas Guettler (guettli) * Date: 2016-04-21 13:31
I think a warning at the top of StringIO docs is needed.

And it should link to io.BytesIO.

Maybe even deprecate StringIO and cStringIO in Python2?

StringIO docs: https://docs.python.org/2/library/stringio.html

io.BytesIO docs: https://docs.python.org/2/library/io.html#io.BytesIO

I would like to see this at the top of StringIO:

{{{
Please use io.BytesIO and io.StringIO since this module is not supported in Python3
}}
msg368550 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2020-05-09 22:09
Python 2 is EOL.
History
Date User Action Args
2020-05-10 00:42:35zach.waresetstatus: open -> closed
resolution: out of date
stage: resolved
2020-05-09 22:09:39ZackerySpytzsetnosy: + ZackerySpytz
messages: + msg368550
2016-04-21 13:31:25guettlicreate